/*
Theme Name: Uncode Child
Description: Child theme for Uncode theme
Author: Undsgn™
Author URI: http://www.undsgn.com
Template: uncode
Version: 1.0.0
Text Domain: uncode
*/
html {
  scroll-behavior: smooth;
}

/* testo sottolineato */
::selection {
  color: #fff;
  background: #000;
  /*text-shadow: 
    -1px -1px 0 #000,
     1px -1px 0 #000,
    -1px  1px 0 #000,
     1px  1px 0 #000;*/
}

::-moz-selection {
  color: #fff;
  background: #000;
  /*text-shadow: 
    -1px -1px 0 #000,
     1px -1px 0 #000,
    -1px  1px 0 #000,
     1px  1px 0 #000;*/
}

/* leva il click galleria clienti home */
.gallery-clienti {
	pointer-events: none;
}

/* background footer */
#colophon {
	background-color: black;
}

/* ======================== FORM CONTATTI ======================== */
/* ====== Form base ====== */
.wpcf7 form {
  font-family: Helvetica, Arial, sans-serif;
  color: #000;
  max-width: 800px;
  margin: 0 auto;
}
.wpcf7 p {
  margin: 0;
}
/* ====== Campi di input ====== */
@media(min-width: 1024px) {
	.form-row-home p {
    display: flex;
    justify-content: space-between;
		gap: 15px;
	}
}
.form-row input {
    flex: 1;
}
.wpcf7 .form-fluid,
.wpcf7 textarea, .wpcf7 input:not([type="checkbox"]):not([type="submit"]) {
  width: 100%;
  background: transparent;
  border: none;
  border-bottom: 1px solid rgba(0, 0, 0, 0.8);
  color: #000;
  font-size: 16px;
  padding: 10px;
  transition: border-color 0.3s ease, color 0.3s ease;
	box-shadow: none;
}
.wpcf7 .form-fluid::placeholder,
.wpcf7 textarea::placeholder, .wpcf7 input::placeholder {
  color: rgba(000, 000, 000, 0.5);
}
.wpcf7 .form-fluid:focus,
.wpcf7 textarea:focus {
  outline: none;
  border-bottom: 1px solid #fff;
  color: #000;
}
/* ====== Textarea ====== */
.wpcf7 textarea {
  resize: none;
  min-height: 100px;
}
/* ====== Checkbox privacy ====== */
.wpcf7-acceptance {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 14px;
  line-height: 1.4;
  color: rgba(000, 000, 000, 1);
	padding: 3em 0;
}
.wpcf7-acceptance input[type="checkbox"] {
  accent-color: #000;
  width: 16px;
  height: 16px;
  cursor: pointer;
	border-color: rgba(0, 0, 0, 0.3);
}
/* ====== Pulsante ====== */
.wpcf7 .btn.btn-accent {
  display: inline-block;
  border: 1px solid #000;
  color: #000;
  background: #fff;
  cursor: pointer;
  transition: all 0.3s ease;
}
.wpcf7 .btn.btn-accent:hover {
  background: transparent;
  color: #000;
}
/* ====== Messaggi di validazione ====== */
.wpcf7 form .wpcf7-response-output {
  color: #000;
  border: none;
  padding: 10px 0;
  font-size: 14px;
}
.wpcf7-not-valid-tip {
  color: #ff6464;
  font-size: 13px;
  margin-top: 5px;
}
/* ======================== FINE FORM CONTATTI ======================== */

/* ====== sidebar menu ====== */
#menu-main-menu-1 {
	padding: 7em 0 0 0;
}

/* ====== additional content bottom sidebar menu ====== */
@media (min-width: 960px) {
	.uncode-menu-additional-text.navbar-mobile-el.mobile-hidden.tablet-hidden {
		padding: 30px 0 !important;
	}
	.body.menu-offcanvas.uncode-menu-additional-text {
		padding: 0 !important;
	}
}

/* titolo pagina STUDIO */
#titolo-pagina-studio p {
	font-size: 60px;
}

/* padding navbar header */
@media (max-width: 1024px) {
	body.menu-custom-padding .col-lg-0.logo-container {
		padding: 0 !important;
	}
}
@media (min-width: 1025px) {
	body.menu-custom-padding .col-lg-0.logo-container {
		padding: 0.7em 0 0 0 !important;
	}
}

/* ===============anchor pagine servizi==================== */
.anchor-servizi a {
	font-weight: 300;
	font-size: 70px;
	line-height: 1.3;
}

@media (max-width: 1024px) {
	.anchor-servizi a {
		font-size: 40px;
		line-height: 1.4;
	}
	.anchor-servizi-parent .wpb_column.pos-top.pos-center.align_center.column_child.col-lg-4.half-internal-gutter {
		padding-top: 2.5em;
	}
}

@media (min-width: 1025px) {
	.anchor-servizi sup {
	font-size: xx-large;
    vertical-align: super;
	}
}

.anchor-servizi .uncode_text_column.anchor-servizi.text-lead {
    transition: opacity 0.25s ease;
}
.anchor-servizi:hover .uncode_text_column.anchor-servizi.text-lead:not(:hover) {
    opacity: 0.3;
}
.anchor-servizi .uncode_text_column.anchor-servizi.text-lead:hover {
    opacity: 1;
}

/* ---------------------------------------- MASONRY PAGINA PORTFOLIO ---------------------------------------- */
/* hover delle tiles */
.portfolio-tiles .tmb-meta-size-large.tmb .t-entry p.t-entry-meta span {
	font-weight: 700 !important;
    font-size: 1.7rem;
}


/* ---------------------------------------- MENU LINK UTILI FOOTER ---------------------------------------- */
.menu-link-utili {
	font-weight: 300 !important;
	font-size: 20px;
	text-align: left;
	justify-items: start;
	color: #fff;
}

.menu-link-utili li {
	font-weight: 300 !important;
	font-size: 20px;
	text-align: left;
	justify-items: start;
	color: #fff;
}

@media (max-width: 1024px) {
	.menu-link-utili {
		justify-items: center;
		font-size: 20px;
	}
	.menu-link-utili li {
		font-size: 20px;
	}
	.main-menu-container:has(.menu-link-utili) {
		width: 100% !important;
	}
}

.flex-center .wpb_row.row-inner.cols-md-responsive {
	display: flex !important;
	justify-content: center !important;
}

.footer-idea-text p {
	font-size: clamp(17px,2vw,25px);
}

/* ================================== HERO FALLBACK MOBILE =================================== */
@media (max-width: 1024px) {
	#hero-section-home .background-wrapper .background-inner {
		background-image: 
			url('/wp-content/uploads/2026/01/pepecomunica_hero_fallback_2.webp');
    	background-size: cover;
    	background-position: center;
    	background-repeat: no-repeat;
  }
}

/* ================================== STICKY HEADER MOBILE =================================== */

.menu-wrapper.menu-sticky, 
.main-header.sticky-on-mobile {
	position: fixed !important;
	top: 0 !important;
	left: 0 !important;
	right: 0 !important;
	z-index: 1000 !important;
}
.sections-container {
	margin-top: 90px;
}
.page-wrapper {
	background: white;
}

@media (min-width: 1025px) {
	.page-wrapper {
		background: white;
	}
	.sections-container {
		margin-top: 112px;
	}

}

/* =========================BACK TO TOP========================= */
.float-up {
	position: fixed !important;
    bottom: 5.5rem;
    right: 1rem;
    border-radius: 100px;
    z-index: 100;
    padding: 1.2em 1.5em 1.8em !important;
}

.float-up i.fa-chevron-up2 {
	margin: 0;
	font-size: 22px;
	font-weight: 900;
}

.curtain-forzata p {
	font-size: 60px !important;
}
@media (max-width: 1024px) {
	.curtain-forzata p {
		font-size: 40px !important;
	}
}

/* =========================PAGINA CONTATTI========================= */
.elenco-contatti .icon-box-left .fa-1x {
	    line-height: 2em;
}

.margin-titolo-contatti {
	margin-top: 5px !important;
}
